Bug 1303219 - The installer forces users to create PReP Boot partition even when it is not always required
Summary: The installer forces users to create PReP Boot partition even when it is not ...
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Tracking
Depends On: 1723425
Blocks: PPCTracker 1172791 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2016-01-29 21:08 UTC by rmarshall
Modified: 2019-06-24 13:45 UTC (History)
14 users (show)

(edit)
Clone Of: 1172791
(edit)
Last Closed:


Attachments (Terms of Use)

Comment 1 Jan Kurik 2016-02-24 14:22:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Fedora End Of Life 2017-07-25 19:51:59 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Martin Kolman 2018-05-21 16:38:19 UTC
Fixing the assignee.

Comment 4 Dan Horák 2019-05-21 09:55:30 UTC
moving here from https://github.com/rhinstaller/anaconda/issues/1483

POWER/OpenPOWER machines running the OPAL firmware create a new class of "powerpc" hardware that doesn't need the PReP partition as it uses petitboot as the bootloader. Petitboot reads bootloader configs (eg. grub.conf) from the disks directly. Both physical HW and qemu/KVM virtual machines (work in progress) can be PowerNV. The advantages are more flexible storage layout and being closer to x86.

After looking into the anaconda code, it looks feasible to implement the PowerNV support (touching platform.py and bootloader.py. Might need a little patch in blivet/arch.py too. I have few bits ready, but nothing complete yet.

Comment 5 Dan Horák 2019-06-10 09:54:57 UTC
I might have it ready, consisting of 2 part - blivet [1] and anaconda [2]. I've done some basic testing, it seems to work, but proper testing requires a  spare bare-metal Power machine. Full PowerNV support in qemu is still in development [3] which limits the ease of the testing.

[1] https://github.com/sharkcz/blivet/tree/powernv
[2] https://github.com/sharkcz/anaconda/tree/powernv
[3] https://github.com/legoater/qemu/tree/powernv-4.1

Comment 6 Dan Horák 2019-06-24 13:35:09 UTC
test results seem to be OK, converting to PRs
- https://github.com/storaged-project/blivet/pull/782
- https://github.com/rhinstaller/anaconda/pull/2025

In addition to these we need to loosen the grub-install requirement for the bootloader partition, or rather not do install any grub binaries on PowerNV.


Note You need to log in before you can comment on or make changes to this bug.